> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pied.com.br/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retorna informações sobre os equipamentos

> Para uma resposta válida utilize o pageLimit corretamente. De outra forma irá retornar uma exceção.

<Note>
  **🚀 API v2 (Recomendada)** - Use este endpoint para novos projetos
</Note>


## OpenAPI

````yaml /openapi/openapi-v2.json GET /equipments/{pageNumber}/{pageLimit}
openapi: 3.0.0
info:
  title: Documentação de API
  version: '2.0'
servers:
  - url: https://backend-pied-prod.piedadmin.com.br/api/v2
security:
  - bearerAuth: []
tags:
  - name: Request
    description: Tudo sobre orçamentos ou pedidos
  - name: Equipment
    description: Tudo sobre equipamentos
  - name: Company
    description: Tudo sobre empresas de energia
  - name: Custom Field
    description: Tudo sobre campos customizados
  - name: Payments
    description: Tudo sobre pagamentos
paths:
  /equipments/{pageNumber}/{pageLimit}:
    get:
      tags:
        - Equipment
      summary: Essa rota irá retornar informações sobre os equipamentos.
      description: >-
        Para uma resposta válida utilize o pageLimit corretamente. De outra
        forma irá retornar uma exceção.
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
        - $ref: '#/components/parameters/createdBefore'
        - $ref: '#/components/parameters/createdAfter'
        - name: type
          in: query
          description: >-
            A pesquisa retorna registros nos quais o tipo do produto é igual ao
            passado no parâmetro.
          schema:
            type: string
            enum:
              - module
              - inverter
              - stringBox
              - complementaryEquipment
        - name: productCode
          in: query
          description: >-
            A pesquisa retorna registros nos quais o código do produto ou parte
            deste código é igual ao passado no parâmetro. 
             
             Exemplo: Para a pesquisa retornar registros com o código 12345, pode-se passar tanto o parâmetro 12345, quanto os parâmetros 1, 2, 3, 4, 5, 12, 23, 123, 345…
          schema:
            type: string
        - name: name
          in: query
          description: >-
            A pesquisa retorna registros nos quais o nome do produto ou parte
            deste nome é igual ao passado no parâmetro. 
             
             Exemplo: Para a pesquisa retornar registros com o nome ABCDE, pode-se passar tanto o parâmetro ABCDE, quanto os parâmetros A, B, C, D, E, AB, BC, ABC, CDE…
          schema:
            type: string
        - name: manufacturer
          in: query
          description: >-
            A pesquisa retorna registros nos quais o nome do fabricante do
            produto ou parte deste nome é igual ao passado no parâmetro.
             
             Exemplo: Para a pesquisa retornar registros com o nome ABCDE, pode-se passar tanto o parâmetro ABCDE, quanto os parâmetros A, B, C, D, E, AB, BC, ABC, CDE…
          schema:
            type: string
        - name: model
          in: query
          description: >-
            A pesquisa retorna registros nos quais o nome do modelo do produto
            ou parte deste nome é igual ao passado no parâmetro.
             
             Exemplo: Para a pesquisa retornar registros com o nome ABCDE, pode-se passar tanto o parâmetro ABCDE, quanto os parâmetros A, B, C, D, E, AB, BC, ABC, CDE…
          schema:
            type: string
        - name: basePriceGTE
          in: query
          description: >-
            A pesquisa retorna registros criados com preço base de valor
            superior ou igual ao passado no parâmetro.
          schema:
            type: number
        - name: basePriceLTE
          in: query
          description: >-
            A pesquisa retorna registros criados com preço base de valor
            inferior ou igual ao passado no parâmetro.
          schema:
            type: number
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/equipments'
        '401':
          description: Esta funcionalidade está indisponível no momento
        '404':
          description: Não encontrado
        '429':
          $ref: '#/components/schemas/429'
        '500':
          $ref: '#/components/schemas/500'
      security:
        - bearerAuth: []
components:
  parameters:
    pageNumber:
      name: pageNumber
      in: path
      description: Determina o número da página a ser retornada.
      required: true
      schema:
        type: integer
    pageLimit:
      name: pageLimit
      in: path
      description: Limita a quantidade de registros retornados por página.
      required: true
      schema:
        type: integer
    createdBefore:
      name: createdBefore
      in: query
      description: >-
        A pesquisa retorna registros criados até esta data passada no parâmetro.
        Formato (AAAA-MM-DD).
      schema:
        type: string
    createdAfter:
      name: createdAfter
      in: query
      description: >-
        A pesquisa retorna registros criados a partir desta data passada no
        parâmetro. Formato (AAAA-MM-DD).
      schema:
        type: string
  schemas:
    '429':
      description: >-
        hardLimit: O limite de requisições por hora foi ultrapassado. Tente
        novamente mais tarde / timeLimit: O limite de 1 minuto de processamento
        de requisição por hora foi atingido. Tente novamente mais tarde
    '500':
      description: Erro na API
    equipments:
      type: object
      properties:
        type:
          type: string
          example: module / inverter / stringBox / complementaryEquipment
        productCode:
          type: string
          example: codigo123
        name:
          type: string
          example: 'Nome do produto '
        manufacturer:
          type: string
          example: Nome do fabricante
        model:
          type: string
          example: Modelo
        baseprice:
          type: number
          example: 1000
        costPrice:
          type: number
          example: 500
        nominalMaxPower:
          type: number
          example: 500
        nominalOutputPower:
          type: number
          example: 10
        height:
          type: number
          example: 10
        width:
          type: number
          example: 10
        lenght:
          type: number
          example: 10
        weight:
          type: number
          example: 10
        volume:
          type: number
          example: 10
        featured:
          type: boolean
          example: true
        featuredEcommerce:
          type: boolean
          example: true
        isToSell:
          type: boolean
          example: true
        isToSellIntegrator:
          type: boolean
          example: true
        isToSellOptions:
          type: object
          properties:
            separatedSales:
              type: boolean
              example: true
            closedKitSales:
              type: boolean
              example: true
            mountKitSales:
              type: boolean
              example: true
        storeSellOptions:
          type: object
          properties:
            separatedSales:
              type: boolean
              example: true
            closedKitSales:
              type: boolean
              example: true
        ecommerceSellOptions:
          type: object
          properties:
            separatedSales:
              type: boolean
              example: true
            closedKitSales:
              type: boolean
              example: true
        inventory:
          $ref: '#/components/schemas/inventory'
        inventoryByCenter:
          type: array
          items:
            $ref: '#/components/schemas/inventoryByCenter'
        moduleSpecifications:
          type: object
          properties:
            ratedMaximumPower:
              type: number
              example: 500
            efficiency:
              type: number
              example: 10
            openCircuitVoltage:
              type: number
              example: 40.5
            shortCircuitCurrent:
              type: number
              example: 9.5
            maximumPowerVoltage:
              type: number
              example: 33.5
            maximumPowerCurrent:
              type: number
              example: 8.5
            cellType:
              type: string
              example: mono
        inverterSpecifications:
          type: object
          properties:
            inverterType:
              type: string
              example: Tipo de inversor
            connectionType:
              type: string
              example: Tipo de ligação
            maximumInputPower:
              type: number
              example: 10
            maximumInputPowerPerString:
              type: number
              example: 500
            startVoltage:
              type: number
              example: 100
            minimumMPPTVoltage:
              type: number
              example: 150
            maximumMPPTVoltage:
              type: number
              example: 1000
            mpptAmount:
              type: number
              example: 2
            ratedOutputPower:
              type: number
              example: 10
            ratedOutputVoltage:
              type: number
              example: 400
            maximumOutputCurrent:
              type: number
              example: 50
            maximumInputCurrentPerMPPT:
              type: array
              items:
                type: number
                example: 20
            maximumInputCurrent:
              type: array
              items:
                type: number
                example: 40
            stringsPerMPPT:
              type: array
              items:
                type: number
                example: 20
            maximumCurrentDCConnector:
              type: array
              items:
                type: number
                example: 20
            maximumCurrent:
              type: array
              items:
                type: number
                example: 20
            solarEdgeSpecifications:
              type: object
              properties:
                compatibleInverters:
                  type: array
                  items:
                    type: string
                    example: 1
                minimumStringLength:
                  type: array
                  items:
                    type: number
                    example: 1
                maximumStringLength:
                  type: array
                  items:
                    type: number
                    example: 1
                maximumContinuousPowerPerString:
                  type: array
                  items:
                    type: number
                    example: 5000
                maximumConnectedPowerPer2String:
                  type: array
                  items:
                    type: number
                    example: 5000
                maximumConnectedPowerPerString:
                  type: array
                  items:
                    type: number
                    example: 5000
                maximumConnectedPowerPer3String:
                  type: array
                  items:
                    type: number
                    example: 5000
                maximumConnectedPowerPer4String:
                  type: array
                  items:
                    type: number
                    example: 5000
        complementaryEquipmentSpecifications:
          type: object
          properties:
            category:
              type: object
              properties:
                id:
                  type: string
                  example: '200000000'
                name:
                  type: string
                  example: Categoria
                type:
                  type: string
                  example: Tipo da categoria
        stringBoxSpecifications:
          type: object
          properties:
            inputAmount:
              type: array
              items:
                type: number
                example: 1
            outputAmount:
              type: array
              items:
                type: number
                example: 1
            maximumStringVoltage:
              type: number
              example: 1000
            maximumStringCurrent:
              type: number
              example: 20
        customData:
          type: array
          items:
            $ref: '#/components/schemas/customData'
    inventory:
      type: object
      properties:
        current:
          type: number
          example: 100
        reserved:
          type: number
          example: 50
        minimum:
          type: number
          example: 0
    inventoryByCenter:
      type: object
      properties:
        center:
          type: string
          example: CD001
        current:
          type: number
          example: 100
        reserved:
          type: number
          example: 50
        minimum:
          type: number
          example: 0
    customData:
      type: object
      properties:
        key:
          type: string
          description: Código de identificação do campo
        value:
          $ref: '#/components/schemas/customFieldValue'
        type:
          type: string
          enum:
            - text
            - date
            - integer
            - decimal
            - currency
            - currencyGeneric
            - singleSelect
            - multiSelect
          description: Tipo do campo
    customFieldValue:
      oneOf:
        - type: string
          description: Texto aberto
          default: '0000'
        - type: integer
          description: Número inteiro
          default: 1
        - type: number
          description: Número flutuante
          default: 900.9
        - type: array
          description: Seleção de múltiplos items
          default:
            - 1
            - 2
            - 3
          items:
            type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````